# Module std::os::windows::fs 1.0.0[−][src]

This is supported on Windows only.

Windows-specific extensions for the primitives in the `std::fs` module.

## Traits

FileTypeExt | Experimental Windows-specific extensions to `fs::FileType`.
FileExt | Windows-specific extensions to `fs::File`.
MetadataExt | Windows-specific extensions to `fs::Metadata`.
OpenOptionsExt | Windows-specific extensions to `fs::OpenOptions`.

## Functions

symlink_dir | Creates a new directory symlink on the filesystem.
symlink_file | Creates a new file symbolic link on the filesystem.